
// biginteger data structure access routines

int get_digit(int x, int y) {
  return bigfloat_pool[x + y];
}
void set_digit(int x, int y, int z) {
  bigfloat_pool[x + y] = z;
  return;
}
void set_digit_zero(int x, int y) {
  bigfloat_pool[x] = y;
  return;
}
int get_size(int x) {
  return bigfloat_pool[x + MAX_DIGITS];
}
void set_size(int x, int y) {
  bigfloat_pool[x + MAX_DIGITS] = y;
  return;
}

// bigfloat data structure access routines

int get_sign(int x) {
  return bigfloat_pool[x];
}
int get_mantissa(int x) {
  return x + 2;
}
int get_exponent(int x) {
  return bigfloat_pool[x + 1];
}
void set_sign(int x, int y) {
  bigfloat_pool[x] = y;
  return;
}
void set_exponent(int x, int y) {
  bigfloat_pool[x + 1] = y;
  return;
}
